Subject: Re: [Int-area] Intdir early review of draft-ietf-intarea-broadcast-consider-04

From: Rolf Winter <[email-masked]>
Date: Tue, 24 Oct 2017 17:41:42 +0200

Carlos,

thanks for the review and sorry for the belated reply. Please inline:

Am 24.09.17 um 09:32 schrieb Carlos Bernardos:
> Reviewer: Carlos Bernardos
> Review result: Ready with Nits
> 
> The document is well written and clear to follow. I have not found any major
> issue. I have some recommendations/questions for the authors:
> 
> * Page 3: RFC 7919 --> RFC 7819
Nice catch.

> 
> * It would be good to have a section (maybe an annex) in which authors describe
> the differences (if any) found in the experiments performed with IPv4 vs IPv6.
> Since IPv6 does not do broadcast, there may be important differences to
> highlight.
> 

We only had v4 networks at the time under observation. While v6 does not 
broadcast, it has the all nodes multicast address. I kind of fear to ask 
the IETF again to do the experiment on the v6 meeting network as, as you 
might remember, it was somewhat controversial :)

> * While I understand that the authors do not provide details about the apps
> analyzed, it would be good to include more information for example about the
> distribution of the frequency of broadcast/multicast messages found in the
> experiments. 

We mention multiple messages per minute. The highest frequency we 
observed was about 8 per minute for a given (popular) app.

> And it would also be nice (though I don't know if this would be
> feasible) to provide some recommended values for the frequencies to use (an app
> developer could benefit from some additional guidelines).

Impossible :)

> 
> * Page 5: "In that respect broadcast can be [...]" --> "In that respect,
> multicast can be [...]" or "In that respect, broadcast/multicast can be [...]".
> Note that the examples used are IPv6, so "broadcast" alone would not apply.
> 

Nice catch, thanks.

Best,

Rolf